'use strict';

var suite = require('../utils/suite.js');
var add = require('./add.js');
var addAll = require('./add-all.js');
var ls = require('./ls.js');
var rm = require('./rm.js');
var rmAll = require('./rm-all.js');
var index = require('./remote/index.js');

const tests = {
  add: add.testAdd,
  addAll: addAll.testAddAll,
  ls: ls.testLs,
  rm: rm.testRm,
  rmAll: rmAll.testRmAll,
  remote: index
};
var testPin = suite.createSuite(tests);

module.exports = testPin;
